Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Mutex Class Reference

Abstract base class for the TAO RT Mutex implementations. More...

`#include <RT_Mutex.h>`

Inheritance diagram for TAO_RT_Mutex

[legend]
Collaboration diagram for TAO_RT_Mutex:

[legend]
List of all members.

## Public Methods
| TAO_RT_Mutex (void)
| Constructor.
virtual | ~TAO_RT_Mutex (void)
| Destructor.
virtual void | lock (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
| Acquire the lock.
virtual void | unlock (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
| Release the lock.
virtual CORBA::Boolean | try_lock (TimeBase::TimeT max_wait, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual const char* | name (void) const
| Returns the name of the mutex.
## Protected Attributes
TAO_SYNCH_MUTEX | mu_
| Synchronization lock.

## Detailed Description

Abstract base class for the TAO RT Mutex implementations.

This class just serves as a base class for any of the TAO RT Mutex implementations. Instances of these classes should be created using the RTCORBA::create_mutex() method.

## Constructor & Destructor Documentation

TAO_RT_Mutex::TAO_RT_Mutex ( | void )

| Constructor.

TAO_RT_Mutex::~TAO_RT_Mutex ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void TAO_RT_Mutex::lock ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Acquire the lock.

const char * TAO_RT_Mutex::name ( | void ) const`[virtual]`

| Returns the name of the mutex.

CORBA::Boolean TAO_RT_Mutex::try_lock ( | TimeBase::TimeT max_wait,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Acquire the lock, but only wait up to <max_wait> time. Note that this operation may not be available on all OS platforms, so if you're interested in writing maximally portable programs avoid using this operation in your program designs.

void TAO_RT_Mutex::unlock ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Release the lock.

## Member Data Documentation

TAO_SYNCH_MUTEX TAO_RT_Mutex::mu_`[protected]`

| Synchronization lock.

The documentation for this class was generated from the following files:

- RT_Mutex.h
- RT_Mutex.cpp